package database

import "github.com/jmoiron/sqlx"

// Options is a jessevdk/go-flags compatible struct for db-related options
type Options struct {
	DSN     string `long:"dsn" env:"DSN" ini-name:"dsn" description:"DSN of the database"`
	MaxConn int    `long:"max-conn" env:"MAX_CONN" ini-name:"max-conn" description:"Database max connection" default:"0"`
}

// Open a connection to the database
func (o Options) Open() (*sqlx.DB, error) {
	return Open(o.DSN, o.MaxConn)
}
